#
# spec file for package yast2-config-users (Version 2.4.4)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  autoconf automake ycpdoc
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim ycpdoc

Name:         yast2-config-users
Copyright:    (c) 2000 SuSE GmbH
Requires:     yast2 yast2-trans-users yast2-config-security yast2-lib-sequencer yast2-lib-wizard yast2-agent-pam
Group:        System Environment/YaST
BuildArchitectures: noarch
Summary:      YaST2 - component for user and group configuration
Version:      2.4.4
Release:      20
Source0:      yast2-config-users-2.4.4.tar.bz2

%description
YaST2 - component for user and group configuration

SuSE series: yast

%prep
%setup -n yast2-config-users-2.4.4

%build
./configure
make

%install
make install
#make check

%files
%dir /usr/lib/YaST2/include/users
/usr/lib/YaST2/clients/users.ycp
/usr/lib/YaST2/include/users/*
/usr/lib/YaST2/menuentries/menuentry_users.ycp
/usr/lib/YaST2/menuentries/menuentry_groups.ycp
/usr/lib/YaST2/menuentries/menuentry_add_user.ycp
/usr/lib/YaST2/menuentries/menuentry_add_group.ycp
%dir /usr/share/doc/packages/yast2-config-users
/usr/share/doc/packages/yast2-config-users/*

%changelog -n yast2-config-users
* Tue Sep 11 2001 - jbuch@suse.de
- Fixed error in switching between groups and users
* Sat Sep 08 2001 - jbuch@suse.de
- Add the new CheckBox "Also view system users/groups"
- Changed TextEntry for userlist/grouplist to MultiSelectionBox
* Fri Sep 07 2001 - jbuch@suse.de
- fixed bug 10290
* Tue Aug 21 2001 - jbuch@suse.de
- add yast2-agent-pam to spec file
  replaced fileexist
* Thu Aug 09 2001 - jbuch@suse.de
- add crypt md5 password
* Mon Aug 06 2001 - jbuch@suse.de
- edit user/group with double click
* Fri May 18 2001 - kendy@suse.cz
- fixed MAINTAINER: jbuch@suse.de, not me
* Mon May 14 2001 - jbuch@suse.de
- added if( test_mode) for test output
  else the user can read a map saved in the directory /tmp/..
  that contains crypted passwords and other user and group
  informations
* Thu May 10 2001 - gs@suse.de
- icons for module Create an user and Create a group added (bug 7234)
* Mon May 07 2001 - jbuch@suse.de
- UI(`GetLanguage()) to UI(`GetLanguage(true))
* Mon May 07 2001 - jbuch@suse.de
- new version
* Mon May 07 2001 - jbuch@suse.de
- fixed Encoding/Uncoding fullname
* Thu May 03 2001 - jbuch@suse.de
- fixed bug 7517 and 7428
* Mon Apr 30 2001 - jbuch@suse.de
- add icons for menu; fixed shell bug
* Thu Apr 26 2001 - jbuch@suse.de
- add saving group password
* Tue Apr 24 2001 - jbuch@suse.de
- check_ycp ok
* Tue Apr 24 2001 - jbuch@suse.de
- new menuentry and isnil(..) -> .. != nil
* Tue Apr 17 2001 - jbuch@suse.de
- initial
